
def generate_random_sequence(input_sequence, num_samples, sequence_length):
    from keras.preprocessing.sequence import pad_sequences
    from keras.utils import sequence

    # Generate random sequences from the input sequence
    random_sequences = sequence.sample_sequences(input_sequence, num_samples, sequence_length)
    # Pad sequences to the same length for batch processing
    padded_sequences = pad_sequences(random_sequences, maxlen=sequence_length, padding='post')
    
    return padded_sequences



